package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.Missions;
import com.ruoyi.system.dto.MissionsDto;
import com.ruoyi.system.dto.MissionsListDto;

/**
 * 无人机任务Service接口
 *
 * @author ruoyi
 * @date 2024-09-18
 */
public interface IMissionsService {
    /**
     * 查询无人机任务
     *
     * @param id 无人机任务主键
     * @return 无人机任务
     */
    public Missions selectMissionsById(Long id);

    /**
     * 查询无人机任务列表
     *
     * @param missions 无人机任务
     * @return 无人机任务集合
     */
    public List<Missions> selectMissionsList(Missions missions);

    /**
     * 新增无人机任务
     *
     * @param missions 无人机任务
     * @return 结果
     */
    public int insertMissions(Missions missions);

    /**
     * 修改无人机任务
     *
     * @param missions 无人机任务
     * @return 结果
     */
    public int updateMissions(Missions missions);

    /**
     * 批量删除无人机任务
     *
     * @param ids 需要删除的无人机任务主键集合
     * @return 结果
     */
    public int deleteMissionsByIds(Long[] ids);

    /**
     * 删除无人机任务信息
     *
     * @param id 无人机任务主键
     * @return 结果
     */
    public int deleteMissionsById(Long id);

    List<MissionsDto> list(MissionsListDto missionListDto);

    void updateMissionsByFlightId(Missions missions);

    MissionsDto getLatest(String gateway);
}
